io.vertx.ext.web.handler.sockjs

## Enum BridgeEvent.Type

- java.lang.Object
- - java.lang.Enum<BridgeEvent.Type>
  - - io.vertx.ext.web.handler.sockjs.BridgeEvent.Type

- All Implemented Interfaces:
    Serializable, Comparable<BridgeEvent.Type>
  Enclosing interface:
    BridgeEvent

      public static enum BridgeEvent.Type
      extends Enum<BridgeEvent.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PUBLISH`
    `RECEIVE`
    `REGISTER`
    `SEND`
    `SOCKET_CLOSED`
    `SOCKET_CREATED`
    `UNREGISTER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BridgeEvent.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BridgeEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOCKET_CREATED

          public static final BridgeEvent.Type SOCKET_CREATED

    - #### SOCKET_CLOSED

          public static final BridgeEvent.Type SOCKET_CLOSED

    - #### SEND

          public static final BridgeEvent.Type SEND

    - #### PUBLISH

          public static final BridgeEvent.Type PUBLISH

    - #### RECEIVE

          public static final BridgeEvent.Type RECEIVE

    - #### REGISTER

          public static final BridgeEvent.Type REGISTER

    - #### UNREGISTER

          public static final BridgeEvent.Type UNREGISTER

  - ### Method Detail

    - #### values

          public static BridgeEvent.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BridgeEvent.Type c : BridgeEvent.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BridgeEvent.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.